package com.antai.sport.http.server.server.api.business.props.service;

import com.antai.sport.http.server.server.api.business.props.mapper.PropsBizMapper;
import com.antai.sport.http.server.server.api.business.props.vo.UserPropsItemVO;
import com.antai.sport.http.server.server.api.business.props.vo.UserPropsVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class PropsService {

    @Resource
    private PropsBizMapper propsBizMapper;

    public UserPropsVO getUserProps(Long sportUserId) {
        UserPropsVO result = new UserPropsVO();
        Map<String, List<UserPropsItemVO>> propsItemMap = new HashMap<>();
        List<UserPropsItemVO> propsItemList = propsBizMapper.getUserProps(sportUserId);
        for(UserPropsItemVO propsItem: propsItemList){
            if(!propsItemMap.containsKey(propsItem.getPart())){
                propsItemMap.put(propsItem.getPart(),new ArrayList<>());
            }
            propsItemMap.get(propsItem.getPart()).add(propsItem);
        }
        result.setProps(propsItemMap);
        return result;
    }
}
